4 huygft

尚未进行身份认证

暂无相关简介

等级
TA的排名 4w+

什么是PIMPL?

转载自:https://www.cnblogs.com/joinclear/p/3908661.html      作者:joinclear     感谢问题源自 陈硕《Linux多线程服务端编程》第十一章11.4节可参考《C++编程规范》第43条----------------------------------------分隔----------------------------...

2018-12-28 16:21:55

Makefile中要编译多线程是报undefined reference to `pthread_create'类似错误

Makefile中要编译包含线程库的文件时,把-lpthread放在哪里呢?答:把-lpthread放在链接那句编译命令的最后即可啦。如:  $(CC) -o test_threadpool main.o threadpool.o  -lpthread编译阶段是不用加这个参数的。...

2018-08-16 17:31:24

Ubuntu 16.04.04-desktop 中VIM安装YouCompleteMe插件

从了解YCM以来陆陆续续安装过两次了,都是出现各种问题,因为太费时间就没有安装;由于最近需要经常在Linux下写代码,所以在昨天又尝试安装了一次,终于安装成功了;这一次首先是用 full install guide,后来一直出错就回到用脚本安装,通过full install guide也更加了解了YCM的安装。在这里记录一下安装的详细过程,以备后续再次安装可以查阅。安装环境:宿主机-Win7 ...

2018-07-18 19:22:12

Go语言切片实现原理分析

    切片(Slice)是Go语言类型系统中的一种基本的数据类型,其功能有点类似于C++中的vector,都是围绕动态数组概念构建的,可以按需自动增长和缩小。但是切片本身并不是动态数组,而是对底层数组的抽象。一、数组or切片 如何选择Go语言中数组和C/C++中的数组有什么区别呢?首先,Go语言中的数组是值类型,C语言数组变量会隐式变成指针;所以Go语言中数组变量传参或者赋值都会复制整个数组的数...

2018-07-14 10:13:10

中缀表达式和后缀表达式

一、中缀表达式如何转成后缀表达式?(中缀表达式-符合人类阅读、后缀表达式-符合计算机运算)1、遍历中缀表达式中的数字和符号2、对于数字:直接输出3、对于符号:    左括号:进栈    运算符号:与栈顶符号进行优先级比较                若栈顶符号优先级低:此符号进栈(默认栈顶若是左括号,则左括号优先级最低)                若栈顶符号优先级不低:将栈顶符号弹出并输出,...

2018-07-10 16:59:11

Linux中绝对时间和相对时间总结

1、系统绝对时间2、相对时间3、基本原语,使用时间的相关函数,以及处理方法。

2018-06-28 21:30:57

环形相遇追及问题

一、环形相遇环形跑道中的相遇,一般来说都是两个人从同一点出发,方向相反,然后问我们两人之间的相遇问题。要记住基本公式就可以了:环形跑道一周的长=速度和×相遇时间。例1:一条环形跑道长400m,小张与小王同时从同一点出发,相向而行,小张的速度为6米每秒,小王的速度为4米每秒,当两人相遇时,小张还要跑多少米才能回到出发点?A.100 B.160 C.240 D.360此题就是简单的环形相遇问题,要记住...

2018-06-06 14:58:21

Centos安装man pages

1、安装man pages:yum install man2、安装pthread的man pages:yum -y install man-pages

2018-06-04 10:44:38

Go语言设置时区问题

package mainimport ( "fmt" "time")func main(){ var cstZone = time.FixedZone("CST", 8*3600) // 东八 fmt.Println(time.Now().In(cstZone).Format("01-02-2006 15:04:05"))}

2018-05-24 13:42:35

stdin、stdout、stderr和STDIN_FILENO、STDOUT_FILENO、STDERR_FILENO的区别和联系

转载自:https://blog.csdn.net/yeyuangen/article/details/67819991、STDIN_FILENO的作用:    ①STDIN_FILENO属于系统API接口库,其声明为 int 型,是一个打开文件句柄,对应的函数主要包括 open/read/write/close 等系统级调用。        ②操作系统一级提供的文件API都是以文件描述符来表示文...

2018-05-19 13:01:25

Go语言net/http包解析

立个flag,一星期内完成这篇blog。

2018-05-09 10:58:35

Failed to start Docker Application Container Engine-阿里云ECS中给Docker配置daocloud加速器后无法启动服务问题

环境: 阿里云ECS Centos7 err:给docker配置daocloud的加速器后,执行systemctl restart docker后,报错:Job for docker.service failed because the control process exited with error code. See "systemctl status docker.service" and...

2018-05-08 12:40:14

设置secureCRT长时间连接不自动断开

关闭secureCRT声音:

2018-05-03 15:46:25

Error: docker-ce conflicts with 2:docker-1.13.1-53.git774336d.el7.centos.x86_64

环境:Centos7 Docker版本:docker-ce.x86_640:18.03.0.ce-1.el7.centos运行命令:yuminstall-ykubernetes错误:Error:docker-ceconflictswith2:docker-1.13.1-53.git774336d.el7.centos.x86_64错误原因:(https://stackover...

2018-05-03 09:55:04

Hyperledger Fabric跑Chaincode for Developers时错误ERROR: An HTTP request took too long to complete

Hyperledger Fabric跑Chaincode for Developers时,在运行docker-compose -f docker-compose-simple.yaml up 命令时出现错误:ERROR: An HTTP request took too long to complete. Retry with --verbose to obtain debug informati...

2018-04-27 16:23:09

Hyperledger Fabric执行./byfn.sh up命令时出现signal SIGSEGV: segmentation violation错误

在执行./byfn.sh up命令,出现signal SIGSEGV: segmentation violation错误。解决方法:docker-compose-cli.yaml: 在cli -> environment下面添加:GODEBUG=netdns=gobase/docker-compose-base.yaml 在 orderer.example.com的environment下面...

2018-04-24 18:00:23

error: Your local changes to the following files would be overwritten by checkout:

环境:阿里云ECS Centos7在hyperledger-fabricdocs Documentation, Release master 的Upgrading Your Network Components 中执行命令:git checkout v1.0.6 命令,出现下面错误:[root@ct first-network]# git checkout v1.0.6error: Your lo...

2018-04-24 09:15:46

Error reading configuration: Unsupported Config Type

运行Hyperledger Fabric的Building Your First Network 例子。在执行peer chaincode install -n mycc -v 1.0 -p github.com/chaincode/chaincode_example02/go/ 命令时出现:[configtx/tool/localconfig] Load -> CRIT 002 Error...

2018-04-18 11:55:41

vim-go requires Vim 7.4.1689 or Neovim, but you're using an older version

vim-go requires Vim 7.4.1689 or Neovim, but you're using an older version.Please update your Vim for the best vim-go experience.If you really want to continue you can set this to make the error go awa...

2018-04-17 16:36:44

hyperledger-fabric的Error: got unexpected status: BAD_REQUEST错误(执行Building Your First Network时)

环境:阿里云ECS centos7问题一:今天在看hyperledger-fabric文档时,看到有Building Your First Network就顺便试了一下;但是在执行 ./byfn.sh up时出现了下面的错误:Error: got unexpected status: BAD_REQUEST -- error authorizing update: error validating...

2018-04-16 11:47:03

查看更多

勋章 我的勋章
  • 持之以恒
    持之以恒
    授予每个自然月内发布4篇或4篇以上原创或翻译IT博文的用户。不积跬步无以至千里,不积小流无以成江海,程序人生的精彩需要坚持不懈地积累!